/*
 * Copyright 2001-2010 Remi Vankeisbelck
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package woko.ext.usermanagement.facets;

import net.sourceforge.jfacets.annotations.FacetKey;
import net.sourceforge.stripes.action.ActionBeanContext;
import net.sourceforge.stripes.action.Resolution;
import woko.ext.usermanagement.core.DatabaseUserManager;
import woko.ext.usermanagement.core.User;
import woko.facets.BaseForwardRpcResolutionFacet;

import java.util.List;

@FacetKey(name="users",profileId="developer")
public class Users extends BaseForwardRpcResolutionFacet {

    private Integer start = null;
    private Integer limit = null;

    private List<User> users;

    public Integer getStart() {
        return start;
    }

    public void setStart(Integer start) {
        this.start = start;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public List<User> getUsers() {
        return users;
    }

    public DatabaseUserManager getUserManager() {
        return (DatabaseUserManager)getWoko().getUserManager();
    }

    @Override
    protected Resolution getRpcResolution(ActionBeanContext actionBeanContext) {
        // TODO return JSON list of users
        throw new UnsupportedOperationException();
    }

    @Override
    public String getPath() {
        users = getUserManager().listUsers(start, limit).toList();
        return "/WEB-INF/jsp/woko/usermanagement/users.jsp";
    }
}
